Skip to main content
PUT
/
stores
Update Store
curl --request PUT \
  --url https://api.catalogix.ai/v1/stores \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channels": [
    "ajiob2c",
    "SMP"
  ],
  "default_automation": [],
  "region": [
    "India",
    "Africa"
  ],
  "store_name": "sample store",
  "store_website": "https://test.com"
}
'
import requests

url = "https://api.catalogix.ai/v1/stores"

payload = {
"channels": ["ajiob2c", "SMP"],
"default_automation": [],
"region": ["India", "Africa"],
"store_name": "sample store",
"store_website": "https://test.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channels: ['ajiob2c', 'SMP'],
default_automation: [],
region: ['India', 'Africa'],
store_name: 'sample store',
store_website: 'https://test.com'
})
};

fetch('https://api.catalogix.ai/v1/stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": {
    "code": 0,
    "message": "success",
    "request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
  }
}
{
"detail": "<string>",
"status": "error"
}
{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}
{
"detail": "<string>",
"status": "error"
}
{
"detail": "<string>",
"status": "error"
}
{
"detail": [
{
"loc": [
"body",
""
],
"msg": "Field Required",
"type": "missing"
}
]
}
{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}
{
"detail": "<string>",
"status": "error"
}

Authorizations

Authorization
string
header
required

Pass the API token as a Bearer token in the Authorization header.

Headers

X-Request-Id
string

Optional trace ID. If not provided, one is generated automatically

Query Parameters

store_uuid
string
required

Store identifier

Example:

"67762d4ce590324df813bd8c"

Body

application/json
store_name
string
store_website
string
region
enum<string>[]

Updated list of regions.

Available options:
India,
Africa,
Asia,
Europe,
Global,
Middle East,
North America,
Oceania,
South America
Example:
["India"]
channels
enum<string>[]
Available options:
ajiob2c,
amazon-vendor,
flipkart_vendor,
firstcry,
ajio_offline,
limeroad,
flipkart_b2b,
tatacliq,
fynd,
ajiob2b,
trell,
myntra_b2b,
snapdeal,
meesho,
dealshare,
myntra,
jiomart,
bewakoof,
nykaa,
tatacliq-vendor,
levis,
flipkart,
amazon,
ajio-vendor,
shopsy,
shoppers_stop,
amazon_home_and_kitchen,
nnnow,
magento,
inorbit,
myntra-OR,
amazon-seller,
megamart,
eshopbox,
shopify,
facebook,
SMP,
google
default_automation
enum<string>[]
Available options:
color_distribution,
analyze_attribute,
analyze_image,
mask_computation,
product_listing_audit,
image_automation,
bulk_actions,
uniqueness_checker,
product_quality_score,
detail_shot_generator,
infographic_creator,
video_generation,
size_chart_creator,
data_sync_to_external,
delete_product_images,
bulk_edit,
data_export,
text_classifier,
optical_character_recognition,
image_classifier,
image_classifier_express,
image_classifier_precise,
conditional_attribution,
product_description,
product_title_generation,
SEO_Automations,
swatch_generation,
image_type,
image_upload,
bulk_image_upload,
hotspot_generation,
unique_content_generator,
master_automation,
multimedia_visibility,
background_removal,
face_swap,
service-1,
service-2,
service-3,
service-4,
service-5,
metadata_translation,
image_translation,
update_availability,
smp_upgrade,
SMP_image_upsert

Response

Successful Response

status
StatusModel · object
required

Status of the operation